#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING
#include <bits/stdc++.h>
using namespace std;
int main()
{
    int n, p, k;
    while (~scanf("%d%d%d", &n, &p, &k))
    {
        if (p - k > 1) printf("<< ");
        for (int i = max(1, p - k); i < p; i++) printf("%d ", i);
        printf("(%d)", p);
        for (int i = p + 1; i <= min(n, p + k); i++) printf(" %d", i);
        if (p + k < n) printf(" >>");
        putchar('\n');
    }
    return 0;
}
